<?php

namespace Andy\FeaturedThreads;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerUpgradeTrait;
use XF\Db\Schema\Alter;
use XF\Db\Schema\Create;

class Setup extends AbstractSetup
{
	use StepRunnerUpgradeTrait;
	
	public function install(array $stepParams = [])
	{
		$this->schemaManager()->createTable('xf_andy_featured_threads', function(Create $table)
		{
			$table->addColumn('featured_threads_id', 'int')->autoIncrement();
			$table->addColumn('post_id', 'int');
		});
	}

	public function upgrade(array $stepParams = [])
	{
	}

	public function uninstall(array $stepParams = [])
	{
		$this->schemaManager()->dropTable('xf_andy_featured_threads');
	}
}