<?php

namespace Andy\FeaturedThreads\Widget;

use \XF\Widget\AbstractWidget;

class FeaturedThreads extends AbstractWidget
{
    public function render()
    {
		// get posts
		$finder = \XF::finder('Andy\FeaturedThreads:FeaturedThreads');
		$posts = $finder
			->order('post_id', 'DESC')
			->fetch();

		// prepare viewParams
		$viewParams = [
			'posts' => $posts
		];
		
		// send to template
		return $this->renderer('andy_featured_threads', $viewParams);
    }

	public function getOptionsTemplate()
	{
	   return null;
	}
}